# Faxes The Fax API allows you to send and receive faxes. You can send faxes to a single recipient or to multiple recipients. You can also receive faxes and download them. To send a TEST Outbound fax you can send a fax TO +19898989898. This will emulate all aspects of a real fax without charging your account. ## Send a fax - [POST /faxes](https://developers.sinch.com/docs/fax/api-reference/fax/faxes/sendfax.md): Create and send a fax. Fax content may be supplied via one or more files or URLs of supported filetypes. This endpoint supports the following content types for the fax payload: - Multipart/form-data - Application/json We will however always return a fax object in the response in application json. If you supply a callbackUrl the callback will be sent as multipart/form-data with the content of the fax as an attachment to the body, unless you specify callbackUrlContentType as application/json. #### file(s) Files may be included in the POST request as multipart/form-data parts. #### contentUrl Any URL on the Internet (including ones with basic authentication), and we'll pull it down and make it a fax. This might be useful to you if you're using a web framework for templates and creating fax files. Please note: If you are passing fax a secure URL (starting with https://), make sure that your SSL certificate (including your intermediate cert, if you have one) is installed properly, valid, and up-to-date. ## List faxes - [GET /faxes](https://developers.sinch.com/docs/fax/api-reference/fax/faxes/getfaxes.md): List faxes sent (OUTBOUND) or received (INBOUND), set parameters to filter the list. Example: Return calls made between 1st of January 2021 and 10th of January 2021. created>=2021-01-01&startTime<=2021-01-10 ## Get fax - [GET /faxes/{id}](https://developers.sinch.com/docs/fax/api-reference/fax/faxes/getfaxinfoperid.md): Get fax information using the ID number of the fax. ## Download fax content - [GET /faxes/{id}/file](https://developers.sinch.com/docs/fax/api-reference/fax/faxes/getfaxfilebyid.md): Download the fax content. ## Delete fax content - [DELETE /faxes/{id}/file](https://developers.sinch.com/docs/fax/api-reference/fax/faxes/deletefaxcontentbyid.md): Delete the fax content for a fax using the ID number of the fax. Please note that this only deletes the content of the fax from storage. ## Download fax content (deprecated) - [GET /faxes/{id}/file.{fileFormat}](https://developers.sinch.com/docs/fax/api-reference/fax/faxes/getfaxfilebyiddeprecated.md): Download the fax content. ## Incoming fax event - [POST incomingFax](https://developers.sinch.com/docs/fax/api-reference/fax/faxes/incomingfaxevent.md): This webhook is triggered when a fax is received on a Sinch number associated with a service. The webhook will contain information about the fax, such as the sender, the recipient, and the content of the fax. You set the callback URL for incoming fax events on the service, either through the dashboard or using the service API. ### Example payloads Multipart/form-data request payloads are encoded as forms with a content type of JSON and the actual fax content as a 'file' application/pdf attachment. Application/json request payloads are a JSON object with the file encoded as a base64 string as part of the JSON object. ## Fax completed - [POST faxCompleted](https://developers.sinch.com/docs/fax/api-reference/fax/faxes/faxcompletedcallback.md): Triggered when the fax has been completed. The callback will contain information about the fax, such as the sender, the recipient, and the content of the fax. You must set the callback URL where you want the callback sent when you make a send fax request. ## Incoming fax event - [POST incomingFax](https://developers.sinch.com/docs/fax/api-reference/fax/notifications/incomingfaxevent.md): This webhook is triggered when a fax is received on a Sinch number associated with a service. The webhook will contain information about the fax, such as the sender, the recipient, and the content of the fax. You set the callback URL for incoming fax events on the service, either through the dashboard or using the service API. ### Example payloads Multipart/form-data request payloads are encoded as forms with a content type of JSON and the actual fax content as a 'file' application/pdf attachment. Application/json request payloads are a JSON object with the file encoded as a base64 string as part of the JSON object. ## Fax completed - [POST faxCompleted](https://developers.sinch.com/docs/fax/api-reference/fax/notifications/faxcompletedcallback.md): Triggered when the fax has been completed. The callback will contain information about the fax, such as the sender, the recipient, and the content of the fax. You must set the callback URL where you want the callback sent when you make a send fax request.